QGIS Application - Feature request #1383
Zoom to selection while digitizing keeps old extent

2008-11-05 05:59 AM - cmoe -

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 11443
Description

1)Select a feature.

2)Start editing an existing line from a shapefile (add some vertices, move some quiet a bit).
3)Sometimes it would be great to have a "zoom to feature" to zoom to the current feature extent of the feature I'm working with, or the last

one | worked with. Since there is none, | "zoom to selection" (see 1).

4)The map zooms to the old, original extent of the selection/feature. If zoom to the selection after saving the edits, it zooms to the new

exent.

Sometimes, I'd like to zoom to a whole feature before saving, just to check if everything is okay. Therefore it would be helpful to have a

"zoom to feature" or the zoom to selection that zooms to the edited but not yet saved feature.

History

#1 - 2009-07-04 11:25 AM - Giovanni Manghi

+1

It would be nice to have it implemented. Pushing to 1.2.

#2 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-11-16 07:54 AM - Médéric RIBREUX
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Resolution set to fixed/implemented

Hello, bug triage...

on QGIS 2.13, when you reproduce the steps described in the request, zooming on the selection zooms to the edited feature. Even if the new geoemtry is

not saved, the zoom on the selection will zoom on the whole new geometry and not the old one.

| am closing this feature request...
